indexing
   title:       "Utilities for testing"
   cluster:     "timedate [timedate]";
   project:     "The Universal Time & Date UTDC";
   copyright:   "SIG Computer, 1995";
   author:      "Frieder Monninger";
   original:    22,Sep,95
   version:     1.0
   done_at:     "SIG Computer (info@eiffel.ru)";
   license:     "GNU Library GPL - see included readme file";
   extrnl_name: "testutil.e";

class TESTUTIL
   inherit
      IO_USER

   feature

      s_short_duration (p: SHORT_DURATION) :STRING is

         do
            Result := "HMS: ";
            Result.append (strg (p.hour_part)); Result.append (":");
            Result.append (strg (p.minute_part)); Result.append (":");
            Result.append (strg (p.second_part)); Result.append (" ")
         end;

      s_long_duration (p: LONG_DURATION): STRING is

         do
            Result := "YMD: ";
            Result.append (strg (p.year_part)); Result.append (":");
            Result.append (strg (p.month_part)); Result.append (":");
            Result.append (strg (p.day_part)); Result.append ("");
         end;

      s_duration (p: DURATION): STRING is

         do
            Result := s_long_duration (p);
            Result.append ("+");
            Result.append (s_short_duration (p))
         end;

      s_time (p: TIME): STRING is

         do
            Result := "Time: "
            Result.append (strg (p.hour_part)); Result.append (":");
            Result.append (strg (p.minute_part)); Result.append (":");
            Result.append (strg (p.second_part)); Result.append (" ");
         end;

      s_date (p: DATE): STRING is

         do
            Result := "Date:";
            Result.append (strg (p.year_part)); Result.append ("/");
            Result.append (strg (p.month_part)); Result.append ("/");
            Result.append (strg (p.day_part)); Result.append ("");
         end;

      s_timestamp (p: TIMESTAMP): STRING is

         do
            Result := s_date (p);
            Result.append ("+");
            Result.append ( s_time (p));
         end;

end -- class TESTUTIL

